#include <stdio.h>
#include <stdlib.h>
#include <inttypes.h>
# define U(x) x
# define NLSTATE yyprevious=YYNEWLINE
# define BEGIN yybgin = yysvec + 1 +
# define INITIAL 0
# define YYLERR yysvec
# define YYSTATE (yyestate-yysvec-1)
# define YYOPTIM 1
# ifndef YYLMAX 
# define YYLMAX BUFSIZ
# endif 
#ifndef __cplusplus
# define output(c) (void)putc(c,yyout)
#else
# define lex_output(c) (void)putc(c,yyout)
#endif

#if defined(__cplusplus) || defined(__STDC__)

#if defined(__cplusplus) && defined(__EXTERN_C__)
extern "C" {
#endif
	int yyback(int *, int);
	int yyinput(void);
	int yylook(void);
	void yyoutput(int);
	int yyracc(int);
	int yyreject(void);
	void yyunput(int);
	int yylex(void);
#ifdef YYLEX_E
	void yywoutput(wchar_t);
	wchar_t yywinput(void);
#endif
#ifndef yyless
	int yyless(int);
#endif
#ifndef yywrap
	int yywrap(void);
#endif
#ifdef LEXDEBUG
	void allprint(char);
	void sprint(char *);
#endif
#if defined(__cplusplus) && defined(__EXTERN_C__)
}
#endif

#ifdef __cplusplus
extern "C" {
#endif
	void exit(int);
#ifdef __cplusplus
}
#endif

#endif
# define unput(c) {yytchar= (c);if(yytchar=='\n')yylineno--;*yysptr++=yytchar;}
# define yymore() (yymorfg=1)
#ifndef __cplusplus
# define input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#else
# define lex_input() (((yytchar=yysptr>yysbuf?U(*--yysptr):getc(yyin))==10?(yylineno++,yytchar):yytchar)==EOF?0:yytchar)
#endif
#define ECHO fprintf(yyout, "%s",yytext)
# define REJECT { nstr = yyreject(); goto yyfussy;}
int yyleng;
#define YYISARRAY
char yytext[YYLMAX];
int yymorfg;
extern char *yysptr, yysbuf[];
int yytchar;
FILE *yyin = {stdin}, *yyout = {stdout};
extern int yylineno;
struct yysvf { 
	struct yywork *yystoff;
	struct yysvf *yyother;
	int *yystops;};
struct yysvf *yyestate;
extern struct yysvf yysvec[], *yybgin;

# line 2 "dtoq.l"
 /* dtoq - convert Fortran program from double to quadruple precision */
#include "flex.h"
#include "fortran.h"
int debug = 0;				/* non-zero for debug output when */
					/* compiled with -DDEBUG */
int hp_output = 1;			/* non-0 for quad-precision output */
		/* increase lex table sizes for lex */
				    /* digits with optional embedded blanks */
					/* decimal digit */
					/* floating-point exponent */
					/* optional whitespace */
					/* number */
# define YYNEWLINE 10
yylex(){
int nstr; extern int yyprevious;
#ifdef __cplusplus
/* to avoid CC and lint complaining yyfussy not being used ...*/
static int __lex_hack = 0;
if (__lex_hack) goto yyfussy;
#endif
while((nstr = yylook()) >= 0)
yyfussy: switch(nstr){
case 0:
if(yywrap()) return(0); break;
case 1:

# line 54 "dtoq.l"
		ECHO;
break;
case 2:

# line 56 "dtoq.l"
		{	/* handle tabbed continuation */
				    outstr("     ");
				    output(yytext[1]);
				}
break;
case 3:

# line 61 "dtoq.l"
case 4:

# line 62 "dtoq.l"
			outstr("      ");
break;
case 5:

# line 64 "dtoq.l"
 convert_declaration(yytext);
break;
case 6:

# line 66 "dtoq.l"
	convert_declaration(yytext);
break;
case 7:

# line 68 "dtoq.l"
	convert_declaration(yytext);
break;
case 8:

# line 70 "dtoq.l"
		ECHO;
break;
case 9:

# line 72 "dtoq.l"
ECHO;
break;
case 10:

# line 74 "dtoq.l"
	ECHO;
break;
case 11:

# line 76 "dtoq.l"
case 12:

# line 77 "dtoq.l"
case 13:

# line 78 "dtoq.l"
case 14:

# line 79 "dtoq.l"
case 15:

# line 80 "dtoq.l"
case 16:

# line 81 "dtoq.l"
case 17:

# line 82 "dtoq.l"
case 18:

# line 83 "dtoq.l"
case 19:

# line 84 "dtoq.l"
case 20:

# line 85 "dtoq.l"
case 21:

# line 86 "dtoq.l"
case 22:

# line 87 "dtoq.l"
		ECHO;
break;
case 23:

# line 89 "dtoq.l"
case 24:

# line 90 "dtoq.l"
case 25:

# line 91 "dtoq.l"
		convert_number(yytext) ;
break;
case 26:

# line 93 "dtoq.l"
	cvtstr("iqint");
break;
case 27:

# line 94 "dtoq.l"
cvtstr("iqnint");
break;
case 28:

# line 95 "dtoq.l"
	cvtstr("qext");
break;
case 29:

# line 96 "dtoq.l"
	cvtstr("qint");
break;
case 30:

# line 97 "dtoq.l"
	cvtstr("qlog");
break;
case 31:

# line 98 "dtoq.l"
	cvtstr("qlog10");
break;
case 32:

# line 99 "dtoq.l"
	cvtstr("qmax0");
break;
case 33:

# line 100 "dtoq.l"
	cvtstr("qmax1");
break;
case 34:

# line 101 "dtoq.l"
	cvtstr("qmin0");
break;
case 35:

# line 102 "dtoq.l"
	cvtstr("qmin1");
break;
case 36:

# line 103 "dtoq.l"
	cvtstr("qmod");
break;
case 37:

# line 104 "dtoq.l"
	cvtstr("qnint");
break;
case 38:

# line 105 "dtoq.l"
	cvtstr("qabs");
break;
case 39:

# line 106 "dtoq.l"
	cvtstr("qacos");
break;
case 40:

# line 107 "dtoq.l"
	cvtstr("qasin");
break;
case 41:

# line 108 "dtoq.l"
	cvtstr("qatan");
break;
case 42:

# line 109 "dtoq.l"
	cvtstr("qatan2");
break;
case 43:

# line 110 "dtoq.l"
	cvtstr("qcos");
break;
case 44:

# line 111 "dtoq.l"
	cvtstr("qcosh");
break;
case 45:

# line 112 "dtoq.l"
	cvtstr("qdim");
break;
case 46:

# line 113 "dtoq.l"
	cvtstr("qexp");
break;
case 47:

# line 114 "dtoq.l"
cvtstr("qfloat");
break;
case 48:

# line 115 "dtoq.l"
	cvtstr("qsign");
break;
case 49:

# line 116 "dtoq.l"
	cvtstr("qsin");
break;
case 50:

# line 117 "dtoq.l"
	cvtstr("qsinh");
break;
case 51:

# line 118 "dtoq.l"
	cvtstr("qsqrt");
break;
case 52:

# line 119 "dtoq.l"
	cvtstr("qtan");
break;
case 53:

# line 120 "dtoq.l"
	cvtstr("qtanh");
break;
case 54:

# line 122 "dtoq.l"
	cvtstr("qrand");
break;
case 55:

# line 123 "dtoq.l"
	cvtstr("q1mach");
break;
case 56:

# line 125 "dtoq.l"
		outhollerith(yytext);
break;
case 57:

# line 127 "dtoq.l"
	outquotedstring(yytext);
break;
case 58:

# line 129 "dtoq.l"
case 59:

# line 130 "dtoq.l"
case 60:

# line 131 "dtoq.l"
case 61:

# line 132 "dtoq.l"
			ECHO;
break;
case -1:
break;
default:
(void)fprintf(yyout,"bad switch yylook %d",nstr);
} return(0); }
/* end of yylex */

# line 134 "dtoq.l"

#include <common.h>
int yyvstop[] = {
0,

61,
0, 

60,
0, 

61,
0, 

61,
0, 

59,
61,
0, 

61,
0, 

61,
0, 

61,
0, 

4,
61,
0, 

61,
0, 

61,
-1,
0, 

61,
-1,
0, 

61,
0, 

61,
0, 

61,
0, 

57,
0, 

24,
0, 

23,
0, 

59,
0, 

56,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

3,
0, 

2,
0, 

-1,
0, 

1,
0, 

58,
-1,
0, 

58,
-1,
0, 

58,
0, 

58,
0, 

58,
0, 

56,
0, 

23,
24,
0, 

25,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

-1,
0, 

-1,
0, 

58,
0, 

58,
0, 

58,
0, 

24,
0, 

19,
0, 

15,
0, 

16,
0, 

17,
0, 

18,
0, 

21,
0, 

14,
0, 

25,
0, 

23,
0, 

10,
0, 

58,
0, 

58,
-38,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
-28,
0, 

58,
-43,
0, 

58,
-45,
0, 

58,
-46,
0, 

58,
0, 

58,
-29,
0, 

58,
-30,
0, 

58,
0, 

58,
0, 

58,
-36,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
-49,
0, 

58,
0, 

58,
-52,
0, 

58,
0, 

58,
0, 

-1,
0, 

10,
-1,
0, 

58,
0, 

58,
0, 

58,
0, 

12,
0, 

20,
0, 

22,
0, 

11,
0, 

13,
0, 

23,
24,
0, 

58,
0, 

38,
0, 

58,
-39,
0, 

58,
-40,
0, 

58,
-41,
0, 

28,
0, 

43,
0, 

58,
-44,
0, 

45,
0, 

46,
0, 

58,
0, 

29,
0, 

30,
0, 

58,
0, 

58,
-32,
0, 

58,
-33,
0, 

58,
-34,
0, 

58,
-35,
0, 

36,
0, 

58,
-37,
0, 

58,
-54,
0, 

58,
-48,
0, 

49,
0, 

58,
-50,
0, 

58,
-51,
0, 

52,
0, 

58,
-53,
0, 

58,
-26,
0, 

58,
0, 

-1,
0, 

58,
0, 

58,
0, 

9,
0, 

58,
-55,
0, 

39,
0, 

40,
0, 

41,
0, 

58,
-42,
0, 

44,
0, 

58,
-47,
0, 

58,
-31,
0, 

32,
0, 

33,
0, 

34,
0, 

35,
0, 

37,
0, 

54,
0, 

48,
0, 

50,
0, 

51,
0, 

53,
0, 

26,
0, 

58,
-27,
0, 

8,
0, 

8,
0, 

8,
0, 

8,
0, 

8,
0, 

58,
0, 

58,
0, 

6,
0, 

55,
0, 

42,
0, 

47,
0, 

31,
0, 

27,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

58,
0, 

7,
0, 

5,
58,
0, 

5,
0, 
0};
# define YYTYPE int
struct yywork { YYTYPE verify, advance; } yycrank[] = {
0,0,	0,0,	1,3,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	1,3,	1,4,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	1,3,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
1,5,	0,0,	0,0,	1,3,	
1,3,	36,92,	53,53,	1,6,	
59,119,	1,7,	1,7,	19,67,	
92,92,	119,175,	126,181,	139,187,	
144,190,	73,130,	74,131,	36,93,	
75,132,	76,133,	79,137,	121,177,	
121,177,	2,11,	1,8,	1,8,	
1,8,	1,9,	1,8,	1,8,	
1,8,	1,8,	1,10,	1,8,	
127,182,	1,8,	1,8,	1,8,	
1,8,	1,8,	1,8,	1,8,	
1,8,	1,8,	1,8,	1,8,	
2,12,	1,8,	10,52,	87,92,	
90,146,	17,66,	120,120,	5,18,	
21,71,	129,183,	2,13,	16,52,	
22,72,	135,184,	2,6,	5,18,	
5,18,	87,93,	90,93,	25,77,	
16,65,	26,79,	120,176,	120,176,	
27,80,	56,116,	57,117,	58,118,	
71,127,	25,78,	78,136,	80,138,	
116,172,	117,173,	10,52,	2,14,	
2,15,	17,66,	5,18,	136,185,	
21,71,	2,16,	138,186,	16,52,	
22,72,	5,19,	12,53,	148,193,	
5,18,	5,18,	2,17,	25,77,	
16,65,	26,79,	5,18,	5,18,	
27,80,	56,116,	57,117,	58,118,	
71,127,	25,78,	78,136,	80,138,	
116,172,	117,173,	175,236,	181,181,	
72,128,	12,59,	187,187,	5,18,	
5,18,	5,18,	5,18,	5,18,	
5,18,	5,18,	5,18,	5,18,	
5,18,	118,174,	5,18,	5,18,	
5,18,	5,18,	5,18,	5,18,	
5,18,	5,18,	5,18,	5,18,	
5,18,	77,134,	5,18,	6,20,	
6,20,	6,20,	6,20,	6,20,	
6,20,	6,20,	6,20,	6,20,	
6,20,	12,56,	23,73,	24,75,	
72,129,	172,233,	12,57,	173,234,	
6,21,	118,174,	174,235,	189,241,	
6,22,	147,191,	6,23,	12,58,	
190,190,	23,74,	24,76,	6,24,	
191,191,	6,25,	6,26,	193,193,	
77,135,	7,28,	235,240,	147,192,	
240,287,	233,278,	241,241,	6,27,	
242,288,	12,56,	23,73,	24,75,	
72,129,	172,233,	12,57,	173,234,	
6,21,	176,120,	174,235,	177,237,	
6,22,	234,279,	6,23,	12,58,	
7,29,	23,74,	24,76,	6,24,	
281,53,	6,25,	6,26,	176,121,	
77,135,	176,176,	176,176,	177,177,	
177,177,	233,278,	7,30,	6,27,	
7,31,	7,31,	7,31,	7,31,	
7,31,	7,31,	7,31,	7,31,	
7,31,	7,31,	288,288,	278,299,	
279,300,	234,279,	300,304,	303,307,	
304,308,	7,32,	7,32,	7,32,	
7,33,	7,33,	7,32,	7,32,	
7,34,	7,32,	7,32,	7,32,	
7,32,	7,32,	7,32,	7,32,	
7,35,	7,33,	7,32,	7,32,	
7,32,	7,32,	7,32,	7,32,	
7,32,	7,32,	7,32,	278,299,	
279,300,	324,326,	300,304,	303,307,	
304,308,	7,32,	7,32,	7,32,	
7,33,	7,33,	7,32,	7,32,	
7,34,	7,32,	7,32,	7,32,	
7,32,	7,32,	7,32,	7,32,	
7,35,	7,33,	7,32,	7,32,	
7,32,	7,32,	7,32,	7,32,	
7,32,	7,32,	7,32,	8,36,	
8,36,	8,36,	8,36,	8,36,	
8,36,	8,36,	8,36,	8,36,	
8,36,	326,329,	307,311,	311,315,	
312,316,	315,319,	316,320,	319,323,	
8,37,	8,37,	8,37,	8,37,	
8,37,	8,37,	8,37,	8,37,	
8,37,	8,37,	8,37,	8,37,	
8,37,	8,37,	8,37,	8,37,	
8,37,	8,37,	8,37,	8,37,	
8,37,	8,37,	8,37,	8,37,	
8,37,	8,37,	307,311,	311,315,	
312,316,	315,319,	316,320,	319,323,	
8,37,	8,37,	8,37,	8,37,	
8,37,	8,37,	8,37,	8,37,	
8,37,	8,37,	8,37,	8,37,	
8,37,	8,37,	8,37,	8,37,	
8,37,	8,37,	8,37,	8,37,	
8,37,	8,37,	8,37,	8,37,	
8,37,	8,37,	9,38,	32,87,	
32,87,	32,87,	32,87,	32,87,	
32,87,	32,87,	32,87,	32,87,	
32,87,	0,0,	38,92,	0,0,	
0,0,	0,0,	9,39,	9,40,	
9,41,	9,42,	9,43,	9,44,	
0,0,	0,0,	9,45,	0,0,	
38,93,	9,46,	9,47,	9,48,	
237,237,	11,53,	195,195,	9,49,	
9,50,	9,51,	37,37,	37,37,	
37,37,	37,37,	37,37,	37,37,	
37,37,	37,37,	37,37,	37,37,	
237,177,	237,177,	9,39,	9,40,	
9,41,	9,42,	9,43,	9,44,	
11,53,	195,195,	9,45,	38,94,	
0,0,	9,46,	9,47,	9,48,	
200,200,	195,196,	320,324,	9,49,	
9,50,	9,51,	323,327,	327,330,	
11,54,	11,55,	11,55,	11,55,	
11,55,	11,55,	11,55,	11,55,	
11,55,	11,55,	202,202,	0,0,	
205,205,	13,60,	207,207,	200,200,	
210,210,	212,212,	0,0,	38,94,	
11,56,	13,60,	13,61,	200,201,	
330,332,	11,57,	320,324,	219,219,	
0,0,	0,0,	323,327,	327,330,	
0,0,	202,202,	11,58,	205,205,	
0,0,	207,207,	0,0,	210,210,	
212,212,	202,203,	0,0,	205,206,	
13,60,	207,208,	0,0,	210,211,	
212,213,	0,0,	219,219,	13,60,	
11,56,	0,0,	13,60,	13,60,	
330,332,	11,57,	219,220,	0,0,	
13,60,	13,60,	33,88,	0,0,	
33,88,	0,0,	11,58,	33,89,	
33,89,	33,89,	33,89,	33,89,	
33,89,	33,89,	33,89,	33,89,	
33,89,	13,60,	13,60,	13,60,	
13,60,	13,60,	13,60,	13,60,	
13,60,	13,60,	13,60,	0,0,	
13,60,	13,60,	13,60,	13,60,	
13,60,	13,60,	13,60,	13,60,	
13,60,	13,60,	13,60,	0,0,	
13,60,	14,62,	14,62,	43,37,	
43,37,	43,37,	43,37,	43,37,	
43,37,	43,37,	43,37,	43,37,	
43,37,	0,0,	0,0,	0,0,	
0,0,	0,0,	14,63,	14,63,	
14,63,	14,63,	14,63,	14,63,	
14,63,	14,63,	14,63,	14,63,	
15,38,	14,63,	14,63,	14,63,	
14,63,	14,63,	14,63,	14,63,	
14,63,	14,63,	14,63,	14,63,	
0,0,	14,63,	0,0,	43,102,	
15,39,	15,40,	15,41,	15,42,	
15,43,	15,44,	28,28,	308,308,	
15,45,	0,0,	0,0,	15,46,	
15,47,	15,48,	15,64,	20,68,	
224,224,	15,49,	15,50,	15,51,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	28,28,	308,308,	43,102,	
15,39,	15,40,	15,41,	15,42,	
15,43,	15,44,	20,69,	224,224,	
15,45,	228,228,	0,0,	15,46,	
15,47,	15,48,	15,64,	224,225,	
244,244,	15,49,	15,50,	15,51,	
0,0,	246,246,	20,20,	20,20,	
20,20,	20,20,	20,20,	20,20,	
20,20,	20,20,	20,20,	20,20,	
228,228,	28,81,	28,81,	0,0,	
0,0,	28,82,	0,0,	244,244,	
228,229,	0,0,	20,70,	20,70,	
246,246,	248,248,	28,81,	244,245,	
308,312,	29,28,	251,251,	0,0,	
246,247,	0,0,	68,68,	20,70,	
84,84,	0,0,	0,0,	30,84,	
0,0,	0,0,	0,0,	0,0,	
0,0,	28,81,	28,81,	0,0,	
248,248,	28,82,	0,0,	0,0,	
29,29,	251,251,	20,70,	20,70,	
248,249,	68,68,	28,81,	84,84,	
308,312,	251,252,	30,84,	0,0,	
0,0,	0,0,	0,0,	20,70,	
29,83,	29,83,	29,83,	29,83,	
29,83,	29,83,	29,83,	29,83,	
29,83,	29,83,	30,85,	30,85,	
30,85,	30,85,	30,85,	30,85,	
30,85,	30,85,	30,85,	30,85,	
29,81,	29,81,	0,0,	255,255,	
29,82,	68,70,	68,70,	84,86,	
84,86,	0,0,	30,86,	30,86,	
0,0,	29,81,	0,0,	0,0,	
0,0,	0,0,	68,70,	0,0,	
84,86,	0,0,	0,0,	30,86,	
0,0,	0,0,	255,255,	0,0,	
0,0,	0,0,	0,0,	0,0,	
29,81,	29,81,	255,256,	0,0,	
29,82,	68,70,	68,70,	84,86,	
84,86,	0,0,	30,86,	30,86,	
0,0,	29,81,	0,0,	0,0,	
0,0,	0,0,	68,70,	0,0,	
84,86,	0,0,	0,0,	30,86,	
35,90,	35,90,	35,90,	35,90,	
35,90,	35,90,	35,90,	35,90,	
35,90,	35,90,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	35,91,	35,91,	35,91,	
35,91,	35,91,	35,91,	35,91,	
35,91,	35,91,	35,91,	35,91,	
35,91,	35,91,	35,91,	35,91,	
35,91,	35,91,	35,91,	35,91,	
35,91,	35,91,	35,91,	35,91,	
35,91,	35,91,	35,91,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	35,91,	35,91,	35,91,	
35,91,	35,91,	35,91,	35,91,	
35,91,	35,91,	35,91,	35,91,	
35,91,	35,91,	35,91,	35,91,	
35,91,	35,91,	35,91,	35,91,	
35,91,	35,91,	35,91,	35,91,	
35,91,	35,91,	35,91,	39,37,	
39,37,	39,37,	39,37,	39,37,	
39,37,	39,37,	39,37,	39,37,	
39,37,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	39,95,	39,96,	40,37,	
40,37,	40,37,	40,37,	40,37,	
40,37,	40,37,	40,37,	40,37,	
40,37,	0,0,	0,0,	0,0,	
0,0,	0,0,	39,97,	39,98,	
0,0,	41,37,	41,37,	41,37,	
41,37,	41,37,	41,37,	41,37,	
41,37,	41,37,	41,37,	40,99,	
0,0,	39,95,	39,96,	42,37,	
42,37,	42,37,	42,37,	42,37,	
42,37,	42,37,	42,37,	42,37,	
42,37,	0,0,	0,0,	0,0,	
0,0,	0,0,	39,97,	39,98,	
41,100,	0,0,	257,257,	259,259,	
261,261,	263,263,	265,265,	267,267,	
42,101,	0,0,	0,0,	40,99,	
0,0,	44,37,	44,37,	44,37,	
44,37,	44,37,	44,37,	44,37,	
44,37,	44,37,	44,37,	0,0,	
0,0,	257,257,	259,259,	261,261,	
263,263,	265,265,	267,267,	0,0,	
41,100,	257,258,	259,260,	261,262,	
263,264,	265,266,	267,268,	0,0,	
42,101,	44,103,	45,37,	45,37,	
45,37,	45,37,	45,37,	45,37,	
45,37,	45,37,	45,37,	45,37,	
46,37,	46,37,	46,37,	46,37,	
46,37,	46,37,	46,37,	46,37,	
46,37,	46,37,	47,37,	47,37,	
47,37,	47,37,	47,37,	47,37,	
47,37,	47,37,	47,37,	47,37,	
45,104,	44,103,	0,0,	0,0,	
0,0,	0,0,	0,0,	47,106,	
0,0,	0,0,	269,269,	46,105,	
0,0,	271,271,	273,273,	47,107,	
0,0,	70,125,	0,0,	70,125,	
0,0,	47,108,	70,126,	70,126,	
70,126,	70,126,	70,126,	70,126,	
70,126,	70,126,	70,126,	70,126,	
45,104,	269,269,	0,0,	0,0,	
271,271,	273,273,	0,0,	47,106,	
0,0,	269,270,	0,0,	46,105,	
271,272,	273,274,	0,0,	47,107,	
0,0,	0,0,	0,0,	0,0,	
0,0,	47,108,	48,37,	48,37,	
48,37,	48,37,	48,37,	48,37,	
48,37,	48,37,	48,37,	48,37,	
49,37,	49,37,	49,37,	49,37,	
49,37,	49,37,	49,37,	49,37,	
49,37,	49,37,	0,0,	0,0,	
0,0,	0,0,	0,0,	48,109,	
0,0,	49,110,	50,37,	50,37,	
50,37,	50,37,	50,37,	50,37,	
50,37,	50,37,	50,37,	50,37,	
51,37,	51,37,	51,37,	51,37,	
51,37,	51,37,	51,37,	51,37,	
51,37,	51,37,	0,0,	0,0,	
0,0,	275,275,	289,289,	50,111,	
0,0,	51,113,	0,0,	48,109,	
0,0,	49,110,	0,0,	50,112,	
62,120,	0,0,	52,37,	52,37,	
52,37,	52,37,	52,37,	52,37,	
52,37,	52,37,	52,37,	52,37,	
275,275,	289,289,	62,121,	0,0,	
62,62,	62,62,	0,0,	0,0,	
275,276,	289,290,	0,0,	50,111,	
0,0,	51,113,	0,0,	52,114,	
0,0,	0,0,	0,0,	50,112,	
52,115,	62,63,	62,63,	62,63,	
62,63,	62,63,	62,63,	62,63,	
62,63,	62,63,	62,63,	0,0,	
62,63,	62,63,	62,63,	62,63,	
62,63,	62,63,	62,63,	62,63,	
62,63,	62,63,	62,63,	0,0,	
62,63,	63,63,	63,63,	52,114,	
0,0,	0,0,	0,0,	0,0,	
52,115,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	63,63,	63,63,	
63,63,	63,63,	63,63,	63,63,	
63,63,	63,63,	63,63,	63,63,	
0,0,	63,63,	63,63,	63,63,	
63,63,	63,63,	63,63,	63,63,	
63,63,	63,63,	63,63,	63,63,	
0,0,	63,63,	64,37,	64,37,	
64,37,	64,37,	64,37,	64,37,	
64,37,	64,37,	64,37,	64,37,	
65,37,	65,37,	65,37,	65,37,	
65,37,	65,37,	65,37,	65,37,	
65,37,	65,37,	0,0,	66,37,	
66,37,	66,37,	66,37,	66,37,	
66,37,	66,37,	66,37,	66,37,	
66,37,	67,67,	291,291,	85,140,	
293,293,	295,295,	297,297,	64,122,	
66,124,	67,67,	67,67,	0,0,	
65,123,	81,139,	81,139,	81,139,	
81,139,	81,139,	81,139,	81,139,	
81,139,	81,139,	81,139,	0,0,	
0,0,	291,291,	85,141,	293,293,	
295,295,	297,297,	0,0,	0,0,	
67,67,	291,292,	0,0,	293,294,	
295,296,	297,298,	0,0,	64,122,	
66,124,	0,0,	67,67,	67,67,	
65,123,	0,0,	0,0,	0,0,	
67,67,	67,67,	83,83,	83,83,	
83,83,	83,83,	83,83,	83,83,	
83,83,	83,83,	83,83,	83,83,	
0,0,	0,0,	85,142,	85,142,	
0,0,	67,67,	67,67,	67,67,	
67,67,	67,67,	67,67,	67,67,	
67,67,	67,67,	67,67,	85,142,	
67,67,	67,67,	67,67,	67,67,	
67,67,	67,67,	67,67,	67,67,	
67,67,	67,67,	67,67,	0,0,	
67,67,	0,0,	0,0,	86,143,	
0,0,	86,143,	85,142,	85,142,	
86,144,	86,144,	86,144,	86,144,	
86,144,	86,144,	86,144,	86,144,	
86,144,	86,144,	89,145,	85,142,	
88,139,	88,139,	88,139,	88,139,	
88,139,	88,139,	88,139,	88,139,	
88,139,	88,139,	0,0,	0,0,	
89,93,	0,0,	89,89,	89,89,	
89,89,	89,89,	89,89,	89,89,	
89,89,	89,89,	89,89,	89,89,	
91,147,	91,147,	91,147,	91,147,	
91,147,	91,147,	91,147,	91,147,	
91,147,	91,147,	93,148,	93,148,	
93,148,	93,148,	93,148,	93,148,	
93,148,	93,148,	93,148,	93,148,	
94,37,	94,37,	94,37,	94,37,	
94,37,	94,37,	94,37,	94,37,	
94,37,	94,37,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	94,149,	95,37,	95,37,	
95,37,	95,37,	95,37,	95,37,	
95,37,	95,37,	95,37,	95,37,	
96,37,	96,37,	96,37,	96,37,	
96,37,	96,37,	96,37,	96,37,	
96,37,	96,37,	97,37,	97,37,	
97,37,	97,37,	97,37,	97,37,	
97,37,	97,37,	97,37,	97,37,	
0,0,	94,149,	0,0,	0,0,	
0,0,	95,150,	0,0,	0,0,	
0,0,	0,0,	0,0,	96,151,	
0,0,	0,0,	0,0,	97,152,	
98,37,	98,37,	98,37,	98,37,	
98,37,	98,37,	98,37,	98,37,	
98,37,	98,37,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	98,153,	0,0,	299,299,	
0,0,	95,150,	0,0,	0,0,	
0,0,	0,0,	0,0,	96,151,	
0,0,	0,0,	0,0,	97,152,	
99,37,	99,37,	99,37,	99,37,	
99,37,	99,37,	99,37,	99,37,	
99,37,	99,37,	299,299,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	98,153,	0,0,	0,0,	
0,0,	99,154,	100,37,	100,37,	
100,37,	100,37,	100,37,	100,37,	
100,37,	100,37,	100,37,	100,37,	
101,37,	101,37,	101,37,	101,37,	
101,37,	101,37,	101,37,	101,37,	
101,37,	101,37,	102,37,	102,37,	
102,37,	102,37,	102,37,	102,37,	
102,37,	102,37,	102,37,	102,37,	
0,0,	99,154,	0,0,	0,0,	
0,0,	100,155,	299,303,	0,0,	
0,0,	101,156,	0,0,	103,37,	
103,37,	103,37,	103,37,	103,37,	
103,37,	103,37,	103,37,	103,37,	
103,37,	0,0,	102,157,	104,37,	
104,37,	104,37,	104,37,	104,37,	
104,37,	104,37,	104,37,	104,37,	
104,37,	0,0,	0,0,	0,0,	
0,0,	100,155,	299,303,	0,0,	
0,0,	101,156,	103,158,	105,37,	
105,37,	105,37,	105,37,	105,37,	
105,37,	105,37,	105,37,	105,37,	
105,37,	0,0,	102,157,	0,0,	
0,0,	0,0,	0,0,	104,159,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	105,160,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	103,158,	106,37,	
106,37,	106,37,	106,37,	106,37,	
106,37,	106,37,	106,37,	106,37,	
106,37,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	104,159,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	105,160,	107,37,	
107,37,	107,37,	107,37,	107,37,	
107,37,	107,37,	107,37,	107,37,	
107,37,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	106,161,	
108,37,	108,37,	108,37,	108,37,	
108,37,	108,37,	108,37,	108,37,	
108,37,	108,37,	0,0,	0,0,	
0,0,	107,162,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
108,163,	109,37,	109,37,	109,37,	
109,37,	109,37,	109,37,	109,37,	
109,37,	109,37,	109,37,	106,161,	
110,37,	110,37,	110,37,	110,37,	
110,37,	110,37,	110,37,	110,37,	
110,37,	110,37,	0,0,	0,0,	
0,0,	107,162,	0,0,	0,0,	
0,0,	0,0,	0,0,	109,164,	
108,163,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	110,165,	111,37,	
111,37,	111,37,	111,37,	111,37,	
111,37,	111,37,	111,37,	111,37,	
111,37,	112,37,	112,37,	112,37,	
112,37,	112,37,	112,37,	112,37,	
112,37,	112,37,	112,37,	109,164,	
0,0,	0,0,	111,166,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	111,167,	110,165,	0,0,	
113,37,	113,37,	113,37,	113,37,	
113,37,	113,37,	113,37,	113,37,	
113,37,	113,37,	0,0,	112,168,	
114,37,	114,37,	114,37,	114,37,	
114,37,	114,37,	114,37,	114,37,	
114,37,	114,37,	111,166,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	111,167,	113,169,	115,37,	
115,37,	115,37,	115,37,	115,37,	
115,37,	115,37,	115,37,	115,37,	
115,37,	0,0,	114,170,	112,168,	
0,0,	122,37,	122,37,	122,37,	
122,37,	122,37,	122,37,	122,37,	
122,37,	122,37,	122,37,	0,0,	
115,171,	0,0,	0,0,	0,0,	
0,0,	0,0,	113,169,	122,178,	
123,37,	123,37,	123,37,	123,37,	
123,37,	123,37,	123,37,	123,37,	
123,37,	123,37,	114,170,	124,37,	
124,37,	124,37,	124,37,	124,37,	
124,37,	124,37,	124,37,	124,37,	
124,37,	0,0,	0,0,	0,0,	
115,171,	0,0,	0,0,	140,140,	
123,179,	141,140,	0,0,	122,178,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	124,180,	
125,126,	125,126,	125,126,	125,126,	
125,126,	125,126,	125,126,	125,126,	
125,126,	125,126,	140,140,	0,0,	
141,141,	0,0,	0,0,	0,0,	
142,188,	0,0,	142,188,	0,0,	
123,179,	142,189,	142,189,	142,189,	
142,189,	142,189,	142,189,	142,189,	
142,189,	142,189,	142,189,	124,180,	
143,144,	143,144,	143,144,	143,144,	
143,144,	143,144,	143,144,	143,144,	
143,144,	143,144,	0,0,	0,0,	
0,0,	0,0,	140,142,	140,142,	
141,142,	141,142,	145,145,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	140,142,	
0,0,	141,142,	0,0,	0,0,	
0,0,	0,0,	145,89,	145,89,	
145,89,	145,89,	145,89,	145,89,	
145,89,	145,89,	145,89,	145,89,	
0,0,	0,0,	140,142,	140,142,	
141,142,	141,142,	146,146,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	140,142,	
0,0,	141,142,	0,0,	150,195,	
0,0,	0,0,	146,90,	146,90,	
146,90,	146,90,	146,90,	146,90,	
146,90,	146,90,	146,90,	146,90,	
149,37,	149,37,	149,37,	149,37,	
149,37,	149,37,	149,37,	149,37,	
149,37,	149,37,	150,195,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	150,196,	149,194,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	150,37,	150,37,	
150,37,	150,37,	150,37,	150,37,	
150,37,	150,37,	150,37,	150,37,	
151,37,	151,37,	151,37,	151,37,	
151,37,	151,37,	151,37,	151,37,	
151,37,	151,37,	0,0,	0,0,	
0,0,	0,0,	0,0,	149,194,	
152,37,	152,37,	152,37,	152,37,	
152,37,	152,37,	152,37,	152,37,	
152,37,	152,37,	0,0,	0,0,	
0,0,	154,200,	0,0,	0,0,	
0,0,	0,0,	0,0,	151,197,	
153,37,	153,37,	153,37,	153,37,	
153,37,	153,37,	153,37,	153,37,	
153,37,	153,37,	152,198,	0,0,	
0,0,	0,0,	0,0,	0,0,	
154,200,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
154,201,	155,202,	0,0,	0,0,	
0,0,	0,0,	153,199,	151,197,	
154,37,	154,37,	154,37,	154,37,	
154,37,	154,37,	154,37,	154,37,	
154,37,	154,37,	152,198,	0,0,	
0,0,	0,0,	0,0,	0,0,	
155,202,	0,0,	0,0,	156,205,	
0,0,	0,0,	0,0,	0,0,	
155,203,	0,0,	0,0,	0,0,	
0,0,	0,0,	153,199,	0,0,	
155,37,	155,37,	155,37,	155,37,	
155,37,	155,37,	155,37,	155,37,	
155,37,	155,37,	156,205,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	156,206,	157,207,	
0,0,	0,0,	0,0,	0,0,	
155,204,	0,0,	156,37,	156,37,	
156,37,	156,37,	156,37,	156,37,	
156,37,	156,37,	156,37,	156,37,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	157,207,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	157,208,	0,0,	
0,0,	0,0,	0,0,	159,210,	
155,204,	0,0,	157,37,	157,37,	
157,37,	157,37,	157,37,	157,37,	
157,37,	157,37,	157,37,	157,37,	
158,37,	158,37,	158,37,	158,37,	
158,37,	158,37,	158,37,	158,37,	
158,37,	158,37,	159,210,	0,0,	
0,0,	160,212,	0,0,	0,0,	
0,0,	158,209,	159,211,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	159,37,	159,37,	
159,37,	159,37,	159,37,	159,37,	
159,37,	159,37,	159,37,	159,37,	
160,212,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
160,213,	0,0,	0,0,	0,0,	
0,0,	158,209,	0,0,	0,0,	
160,37,	160,214,	160,37,	160,37,	
160,37,	160,37,	160,37,	160,37,	
160,37,	160,37,	161,215,	161,216,	
161,37,	161,37,	161,37,	161,37,	
161,37,	161,37,	161,37,	161,37,	
162,217,	162,218,	162,37,	162,37,	
162,37,	162,37,	162,37,	162,37,	
162,37,	162,37,	163,219,	164,37,	
164,37,	164,37,	164,37,	164,37,	
164,37,	164,37,	164,37,	164,37,	
164,37,	0,0,	165,37,	165,37,	
165,37,	165,37,	165,37,	165,37,	
165,37,	165,37,	165,37,	165,37,	
0,0,	163,219,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	163,220,	165,222,	0,0,	
0,0,	0,0,	0,0,	164,221,	
0,0,	163,37,	163,37,	163,37,	
163,37,	163,37,	163,37,	163,37,	
163,37,	163,37,	163,37,	166,37,	
166,37,	166,37,	166,37,	166,37,	
166,37,	166,37,	166,37,	166,37,	
166,37,	167,224,	0,0,	0,0,	
0,0,	0,0,	165,222,	0,0,	
0,0,	0,0,	0,0,	164,221,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	166,223,	0,0,	0,0,	
167,224,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
167,225,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
167,37,	167,37,	167,37,	167,37,	
167,37,	167,37,	167,37,	167,37,	
167,37,	167,37,	0,0,	0,0,	
0,0,	166,223,	168,37,	168,37,	
168,37,	168,37,	168,37,	168,37,	
168,37,	168,37,	168,37,	168,37,	
167,226,	0,0,	169,228,	170,37,	
170,37,	170,37,	170,37,	170,37,	
170,37,	170,37,	170,37,	170,37,	
170,37,	179,37,	179,37,	179,37,	
179,37,	179,37,	179,37,	179,37,	
179,37,	179,37,	179,37,	0,0,	
0,0,	169,228,	168,227,	0,0,	
0,0,	0,0,	0,0,	0,0,	
167,226,	169,229,	0,0,	0,0,	
0,0,	0,0,	179,239,	170,231,	
0,0,	169,37,	169,37,	169,37,	
169,37,	169,37,	169,37,	169,37,	
169,37,	169,37,	169,37,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	168,227,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	169,230,	0,0,	0,0,	
0,0,	0,0,	179,239,	170,231,	
171,37,	171,37,	171,37,	171,37,	
171,37,	171,37,	171,37,	171,37,	
171,37,	171,37,	178,37,	178,37,	
178,37,	178,37,	178,37,	178,37,	
178,37,	178,37,	178,37,	178,37,	
0,0,	0,0,	0,0,	0,0,	
0,0,	169,230,	0,0,	0,0,	
0,0,	0,0,	171,232,	0,0,	
0,0,	180,240,	0,0,	0,0,	
0,0,	0,0,	178,238,	180,37,	
180,37,	180,37,	180,37,	180,37,	
180,37,	180,37,	180,37,	180,37,	
180,37,	188,189,	188,189,	188,189,	
188,189,	188,189,	188,189,	188,189,	
188,189,	188,189,	188,189,	0,0,	
0,0,	0,0,	171,232,	0,0,	
0,0,	0,0,	0,0,	0,0,	
197,244,	0,0,	178,238,	192,242,	
192,242,	192,242,	192,242,	192,242,	
192,242,	192,242,	192,242,	192,242,	
192,242,	194,37,	194,37,	194,37,	
194,37,	194,37,	194,37,	194,37,	
194,37,	194,37,	194,37,	197,244,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	197,245,	
198,246,	0,0,	0,0,	0,0,	
0,0,	194,243,	0,0,	197,37,	
197,37,	197,37,	197,37,	197,37,	
197,37,	197,37,	197,37,	197,37,	
197,37,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	198,246,	
0,0,	0,0,	199,248,	0,0,	
0,0,	0,0,	0,0,	198,247,	
0,0,	0,0,	0,0,	0,0,	
0,0,	194,243,	0,0,	198,37,	
198,37,	198,37,	198,37,	198,37,	
198,37,	198,37,	198,37,	198,37,	
198,37,	199,248,	0,0,	0,0,	
204,251,	0,0,	0,0,	0,0,	
0,0,	199,249,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	199,37,	199,37,	199,250,	
199,37,	199,37,	199,37,	199,37,	
199,37,	199,37,	199,37,	204,251,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	204,252,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	204,37,	
204,37,	204,37,	204,37,	204,37,	
204,37,	204,37,	204,37,	204,37,	
204,37,	209,37,	209,37,	209,37,	
209,37,	209,37,	209,37,	209,37,	
209,37,	209,37,	209,37,	214,254,	
214,37,	214,37,	214,37,	214,37,	
214,37,	214,37,	214,37,	214,37,	
214,37,	301,37,	301,37,	301,37,	
301,37,	301,37,	301,37,	301,37,	
301,37,	301,37,	301,37,	215,255,	
0,0,	0,0,	0,0,	0,0,	
0,0,	209,253,	238,37,	238,37,	
238,37,	238,37,	238,37,	238,37,	
238,37,	238,37,	238,37,	238,37,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	215,255,	301,305,	
0,0,	216,257,	0,0,	238,285,	
0,0,	0,0,	215,256,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	209,253,	215,37,	215,37,	
215,37,	215,37,	215,37,	215,37,	
215,37,	215,37,	215,37,	215,37,	
216,257,	0,0,	0,0,	217,259,	
0,0,	0,0,	0,0,	301,305,	
216,258,	0,0,	0,0,	238,285,	
0,0,	0,0,	0,0,	0,0,	
216,37,	216,37,	216,37,	216,37,	
216,37,	216,37,	216,37,	216,37,	
216,37,	216,37,	217,259,	0,0,	
0,0,	218,261,	0,0,	0,0,	
0,0,	0,0,	217,260,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	217,37,	217,37,	
217,37,	217,37,	217,37,	217,37,	
217,37,	217,37,	217,37,	217,37,	
218,261,	0,0,	0,0,	221,263,	
0,0,	0,0,	0,0,	0,0,	
218,262,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
218,37,	218,37,	218,37,	218,37,	
218,37,	218,37,	218,37,	218,37,	
218,37,	218,37,	221,263,	0,0,	
0,0,	222,265,	0,0,	0,0,	
0,0,	0,0,	221,264,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	221,37,	221,37,	
221,37,	221,37,	221,37,	221,37,	
221,37,	221,37,	221,37,	221,37,	
222,265,	0,0,	0,0,	223,267,	
0,0,	0,0,	0,0,	0,0,	
222,266,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
222,37,	222,37,	222,37,	222,37,	
222,37,	222,37,	222,37,	222,37,	
222,37,	222,37,	223,267,	0,0,	
0,0,	226,269,	0,0,	0,0,	
0,0,	0,0,	223,268,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	223,37,	223,37,	
223,37,	223,37,	223,37,	223,37,	
223,37,	223,37,	223,37,	223,37,	
226,269,	0,0,	0,0,	227,271,	
0,0,	0,0,	0,0,	0,0,	
226,270,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
226,37,	226,37,	226,37,	226,37,	
226,37,	226,37,	226,37,	226,37,	
226,37,	226,37,	227,271,	0,0,	
0,0,	230,273,	0,0,	0,0,	
0,0,	0,0,	227,272,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	227,37,	227,37,	
227,37,	227,37,	227,37,	227,37,	
227,37,	227,37,	227,37,	227,37,	
230,273,	0,0,	0,0,	231,275,	
0,0,	0,0,	0,0,	0,0,	
230,274,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
230,37,	230,37,	230,37,	230,37,	
230,37,	230,37,	230,37,	230,37,	
230,37,	230,37,	231,275,	0,0,	
0,0,	0,0,	0,0,	236,280,	
0,0,	0,0,	231,276,	0,0,	
0,0,	0,0,	0,0,	236,281,	
236,280,	0,0,	231,37,	231,37,	
231,37,	231,37,	231,37,	231,37,	
231,37,	231,37,	231,37,	231,37,	
232,37,	232,37,	232,37,	232,37,	
232,37,	232,37,	232,37,	232,37,	
232,37,	232,37,	236,53,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	236,280,	0,0,	0,0,	
236,280,	236,280,	0,0,	0,0,	
0,0,	0,0,	236,0,	236,280,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
232,277,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	236,280,	
236,280,	236,280,	236,282,	236,280,	
236,280,	236,280,	236,280,	236,283,	
236,280,	0,0,	236,280,	236,280,	
236,280,	236,280,	236,280,	236,280,	
236,284,	236,280,	236,280,	236,280,	
236,280,	0,0,	236,280,	243,289,	
232,277,	239,37,	239,37,	239,37,	
239,37,	239,37,	239,37,	239,37,	
239,37,	239,37,	239,37,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
239,286,	0,0,	243,289,	0,0,	
0,0,	250,291,	0,0,	0,0,	
0,0,	0,0,	243,290,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	243,37,	243,37,	
243,37,	243,37,	243,37,	243,37,	
243,37,	243,37,	243,37,	243,37,	
250,291,	0,0,	0,0,	253,293,	
239,286,	0,0,	0,0,	0,0,	
250,292,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
250,37,	250,37,	250,37,	250,37,	
250,37,	250,37,	250,37,	250,37,	
250,37,	250,37,	253,293,	0,0,	
0,0,	254,295,	0,0,	0,0,	
0,0,	0,0,	253,294,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	253,37,	253,37,	
253,37,	253,37,	253,37,	253,37,	
253,37,	253,37,	253,37,	253,37,	
254,295,	0,0,	0,0,	277,297,	
0,0,	0,0,	0,0,	0,0,	
254,296,	0,0,	0,0,	0,0,	
0,0,	285,299,	0,0,	0,0,	
254,37,	254,37,	254,37,	254,37,	
254,37,	254,37,	254,37,	254,37,	
254,37,	254,37,	277,297,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	277,298,	0,0,	
285,299,	0,0,	0,0,	0,0,	
0,0,	0,0,	277,37,	277,37,	
277,37,	277,37,	277,37,	277,37,	
277,37,	277,37,	277,37,	277,37,	
285,37,	285,37,	285,37,	285,37,	
285,37,	285,37,	285,37,	285,37,	
285,37,	285,37,	286,37,	286,37,	
286,37,	286,37,	286,37,	286,37,	
286,37,	286,37,	286,37,	286,37,	
302,37,	302,37,	302,37,	302,37,	
302,37,	302,37,	302,37,	302,37,	
302,37,	302,37,	306,308,	0,0,	
285,301,	0,0,	0,0,	286,302,	
305,37,	305,37,	305,37,	305,37,	
305,37,	305,37,	305,37,	305,37,	
305,37,	305,37,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	306,308,	0,0,	0,0,	
302,306,	305,309,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
285,301,	0,0,	0,0,	286,302,	
0,0,	306,37,	306,37,	306,37,	
306,37,	306,37,	306,37,	306,37,	
306,37,	306,37,	306,37,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
302,306,	305,309,	309,37,	309,37,	
309,37,	309,37,	309,37,	309,37,	
309,37,	309,37,	309,37,	309,37,	
0,0,	0,0,	0,0,	306,310,	
0,0,	0,0,	0,0,	0,0,	
0,0,	309,313,	310,37,	310,37,	
310,37,	310,37,	310,37,	310,37,	
310,37,	310,37,	310,37,	310,37,	
313,37,	313,37,	313,37,	313,37,	
313,37,	313,37,	313,37,	313,37,	
313,37,	313,37,	0,0,	310,314,	
0,0,	0,0,	0,0,	306,310,	
0,0,	0,0,	0,0,	0,0,	
0,0,	309,313,	0,0,	0,0,	
0,0,	313,317,	0,0,	314,37,	
314,37,	314,37,	314,37,	314,37,	
314,37,	314,37,	314,37,	314,37,	
314,37,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	310,314,	
314,318,	317,37,	317,37,	317,37,	
317,37,	317,37,	317,37,	317,37,	
317,37,	317,37,	317,37,	0,0,	
0,0,	313,317,	318,37,	318,37,	
318,37,	318,37,	318,37,	318,37,	
318,37,	318,37,	318,37,	318,37,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
314,318,	0,0,	0,0,	0,0,	
317,321,	0,0,	0,0,	0,0,	
0,0,	0,0,	318,322,	0,0,	
321,37,	321,37,	321,37,	321,37,	
321,37,	321,37,	321,37,	321,37,	
321,37,	321,37,	0,0,	325,37,	
325,37,	325,37,	325,37,	325,37,	
325,37,	325,37,	325,37,	325,37,	
325,37,	0,0,	0,0,	0,0,	
317,321,	321,325,	322,326,	0,0,	
0,0,	0,0,	318,322,	0,0,	
322,37,	322,37,	322,37,	322,37,	
322,37,	322,37,	322,37,	322,37,	
322,37,	322,37,	325,328,	328,37,	
328,37,	328,37,	328,37,	328,37,	
328,37,	328,37,	328,37,	328,37,	
328,37,	0,0,	0,0,	0,0,	
0,0,	321,325,	331,37,	331,37,	
331,37,	331,37,	331,37,	331,37,	
331,37,	331,37,	331,37,	331,37,	
0,0,	0,0,	0,0,	0,0,	
0,0,	328,331,	325,328,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	0,0,	0,0,	0,0,	
0,0,	328,331,	0,0,	0,0,	
0,0};
struct yysvf yysvec[] = {
0,	0,	0,
yycrank+-1,	0,		0,	
yycrank+-56,	yysvec+1,	0,	
yycrank+0,	0,		yyvstop+1,
yycrank+0,	0,		yyvstop+3,
yycrank+-94,	0,		yyvstop+5,
yycrank+135,	0,		yyvstop+7,
yycrank+208,	0,		yyvstop+9,
yycrank+283,	0,		yyvstop+12,
yycrank+357,	yysvec+8,	yyvstop+14,
yycrank+22,	yysvec+8,	yyvstop+16,
yycrank+428,	0,		yyvstop+18,
yycrank+125,	0,		yyvstop+21,
yycrank+-488,	0,		yyvstop+23,
yycrank+-529,	yysvec+13,	yyvstop+26,
yycrank+555,	yysvec+8,	yyvstop+29,
yycrank+31,	yysvec+8,	yyvstop+31,
yycrank+24,	yysvec+8,	yyvstop+33,
yycrank+0,	yysvec+5,	0,	
yycrank+12,	0,		yyvstop+35,
yycrank+626,	0,		yyvstop+37,
yycrank+18,	0,		0,	
yycrank+19,	0,		0,	
yycrank+125,	0,		0,	
yycrank+126,	0,		0,	
yycrank+38,	0,		0,	
yycrank+27,	0,		0,	
yycrank+33,	0,		0,	
yycrank+617,	0,		0,	
yycrank+692,	0,		0,	
yycrank+702,	0,		yyvstop+39,
yycrank+0,	yysvec+7,	yyvstop+41,
yycrank+359,	0,		0,	
yycrank+495,	0,		0,	
yycrank+0,	yysvec+32,	yyvstop+43,
yycrank+768,	0,		0,	
yycrank+13,	yysvec+8,	yyvstop+45,
yycrank+394,	yysvec+8,	yyvstop+47,
yycrank+386,	yysvec+8,	yyvstop+49,
yycrank+843,	yysvec+8,	yyvstop+51,
yycrank+863,	yysvec+8,	yyvstop+53,
yycrank+881,	yysvec+8,	yyvstop+55,
yycrank+895,	yysvec+8,	yyvstop+57,
yycrank+531,	yysvec+8,	yyvstop+59,
yycrank+925,	yysvec+8,	yyvstop+61,
yycrank+954,	yysvec+8,	yyvstop+63,
yycrank+964,	yysvec+8,	yyvstop+65,
yycrank+974,	yysvec+8,	yyvstop+67,
yycrank+1038,	yysvec+8,	yyvstop+69,
yycrank+1048,	yysvec+8,	yyvstop+71,
yycrank+1066,	yysvec+8,	yyvstop+73,
yycrank+1076,	yysvec+8,	yyvstop+75,
yycrank+1102,	yysvec+8,	yyvstop+77,
yycrank+14,	yysvec+12,	0,	
yycrank+0,	0,		yyvstop+79,
yycrank+0,	0,		yyvstop+81,
yycrank+34,	0,		0,	
yycrank+37,	0,		0,	
yycrank+46,	0,		0,	
yycrank+16,	yysvec+12,	0,	
yycrank+0,	yysvec+13,	yyvstop+83,
yycrank+0,	0,		yyvstop+85,
yycrank+-1116,	yysvec+13,	yyvstop+87,
yycrank+-1157,	yysvec+13,	yyvstop+90,
yycrank+1198,	yysvec+8,	yyvstop+93,
yycrank+1208,	yysvec+8,	yyvstop+95,
yycrank+1219,	yysvec+8,	yyvstop+97,
yycrank+-1276,	yysvec+5,	0,	
yycrank+697,	0,		0,	
yycrank+0,	yysvec+20,	0,	
yycrank+1006,	0,		0,	
yycrank+48,	0,		0,	
yycrank+110,	0,		0,	
yycrank+11,	0,		0,	
yycrank+12,	0,		0,	
yycrank+14,	0,		0,	
yycrank+15,	0,		0,	
yycrank+135,	0,		0,	
yycrank+34,	0,		0,	
yycrank+16,	0,		0,	
yycrank+37,	0,		0,	
yycrank+1241,	yysvec+33,	0,	
yycrank+0,	0,		yyvstop+99,
yycrank+1278,	yysvec+7,	0,	
yycrank+699,	0,		0,	
yycrank+1270,	yysvec+30,	yyvstop+101,
yycrank+1324,	0,		0,	
yycrank+59,	yysvec+32,	0,	
yycrank+1336,	0,		0,	
yycrank+1350,	0,		yyvstop+104,
yycrank+60,	yysvec+35,	0,	
yycrank+1360,	0,		0,	
yycrank+20,	yysvec+32,	0,	
yycrank+1370,	0,		0,	
yycrank+1380,	yysvec+8,	yyvstop+106,
yycrank+1398,	yysvec+8,	yyvstop+108,
yycrank+1408,	yysvec+8,	yyvstop+110,
yycrank+1418,	yysvec+8,	yyvstop+112,
yycrank+1444,	yysvec+8,	yyvstop+114,
yycrank+1476,	yysvec+8,	yyvstop+116,
yycrank+1498,	yysvec+8,	yyvstop+118,
yycrank+1508,	yysvec+8,	yyvstop+120,
yycrank+1518,	yysvec+8,	yyvstop+122,
yycrank+1539,	yysvec+8,	yyvstop+124,
yycrank+1551,	yysvec+8,	yyvstop+126,
yycrank+1571,	yysvec+8,	yyvstop+128,
yycrank+1603,	yysvec+8,	yyvstop+130,
yycrank+1627,	yysvec+8,	yyvstop+132,
yycrank+1644,	yysvec+8,	yyvstop+134,
yycrank+1665,	yysvec+8,	yyvstop+136,
yycrank+1676,	yysvec+8,	yyvstop+138,
yycrank+1707,	yysvec+8,	yyvstop+140,
yycrank+1717,	yysvec+8,	yyvstop+142,
yycrank+1740,	yysvec+8,	yyvstop+144,
yycrank+1752,	yysvec+8,	yyvstop+146,
yycrank+1771,	yysvec+8,	yyvstop+148,
yycrank+35,	0,		0,	
yycrank+41,	0,		0,	
yycrank+104,	0,		0,	
yycrank+21,	yysvec+12,	0,	
yycrank+-62,	yysvec+13,	yyvstop+150,
yycrank+-15,	yysvec+13,	yyvstop+152,
yycrank+1785,	yysvec+8,	yyvstop+154,
yycrank+1804,	yysvec+8,	yyvstop+156,
yycrank+1815,	yysvec+8,	yyvstop+158,
yycrank+1844,	0,		0,	
yycrank+22,	yysvec+125,	yyvstop+160,
yycrank+30,	0,		0,	
yycrank+0,	0,		yyvstop+162,
yycrank+51,	0,		0,	
yycrank+0,	0,		yyvstop+164,
yycrank+0,	0,		yyvstop+166,
yycrank+0,	0,		yyvstop+168,
yycrank+0,	0,		yyvstop+170,
yycrank+0,	0,		yyvstop+172,
yycrank+55,	0,		0,	
yycrank+81,	0,		0,	
yycrank+0,	0,		yyvstop+174,
yycrank+84,	0,		0,	
yycrank+23,	yysvec+88,	yyvstop+176,
yycrank+1870,	0,		0,	
yycrank+1872,	yysvec+30,	0,	
yycrank+1865,	0,		0,	
yycrank+1876,	0,		0,	
yycrank+24,	yysvec+143,	yyvstop+178,
yycrank+1910,	0,		0,	
yycrank+1942,	0,		0,	
yycrank+173,	yysvec+91,	0,	
yycrank+103,	yysvec+93,	yyvstop+180,
yycrank+1952,	yysvec+8,	yyvstop+182,
yycrank+1978,	yysvec+8,	yyvstop+184,
yycrank+1988,	yysvec+8,	yyvstop+187,
yycrank+2004,	yysvec+8,	yyvstop+189,
yycrank+2024,	yysvec+8,	yyvstop+191,
yycrank+2056,	yysvec+8,	yyvstop+193,
yycrank+2088,	yysvec+8,	yyvstop+196,
yycrank+2114,	yysvec+8,	yyvstop+199,
yycrank+2146,	yysvec+8,	yyvstop+202,
yycrank+2156,	yysvec+8,	yyvstop+205,
yycrank+2182,	yysvec+8,	yyvstop+207,
yycrank+2208,	yysvec+8,	yyvstop+210,
yycrank+2218,	yysvec+8,	yyvstop+213,
yycrank+2228,	yysvec+8,	yyvstop+215,
yycrank+2277,	yysvec+8,	yyvstop+217,
yycrank+2239,	yysvec+8,	yyvstop+220,
yycrank+2250,	yysvec+8,	yyvstop+222,
yycrank+2287,	yysvec+8,	yyvstop+224,
yycrank+2336,	yysvec+8,	yyvstop+226,
yycrank+2350,	yysvec+8,	yyvstop+229,
yycrank+2401,	yysvec+8,	yyvstop+231,
yycrank+2363,	yysvec+8,	yyvstop+234,
yycrank+2432,	yysvec+8,	yyvstop+236,
yycrank+131,	0,		0,	
yycrank+123,	0,		0,	
yycrank+126,	0,		0,	
yycrank+122,	yysvec+12,	0,	
yycrank+-201,	yysvec+13,	yyvstop+238,
yycrank+-203,	yysvec+13,	yyvstop+240,
yycrank+2442,	yysvec+8,	yyvstop+243,
yycrank+2373,	yysvec+8,	yyvstop+245,
yycrank+2471,	yysvec+8,	yyvstop+247,
yycrank+123,	yysvec+125,	0,	
yycrank+0,	0,		yyvstop+249,
yycrank+0,	0,		yyvstop+251,
yycrank+0,	0,		yyvstop+253,
yycrank+0,	0,		yyvstop+255,
yycrank+0,	0,		yyvstop+257,
yycrank+126,	yysvec+88,	0,	
yycrank+2481,	0,		0,	
yycrank+171,	yysvec+188,	yyvstop+259,
yycrank+176,	yysvec+143,	0,	
yycrank+180,	yysvec+91,	0,	
yycrank+2503,	0,		0,	
yycrank+183,	yysvec+93,	0,	
yycrank+2513,	yysvec+8,	yyvstop+262,
yycrank+429,	0,		0,	
yycrank+0,	0,		yyvstop+264,
yycrank+2539,	yysvec+8,	yyvstop+266,
yycrank+2571,	yysvec+8,	yyvstop+269,
yycrank+2597,	yysvec+8,	yyvstop+272,
yycrank+459,	0,		0,	
yycrank+0,	0,		yyvstop+275,
yycrank+477,	0,		0,	
yycrank+0,	0,		yyvstop+277,
yycrank+2623,	yysvec+8,	yyvstop+279,
yycrank+479,	0,		0,	
yycrank+0,	0,		yyvstop+282,
yycrank+481,	0,		0,	
yycrank+0,	0,		yyvstop+284,
yycrank+2633,	yysvec+8,	yyvstop+286,
yycrank+483,	0,		0,	
yycrank+0,	0,		yyvstop+288,
yycrank+484,	0,		0,	
yycrank+0,	0,		yyvstop+290,
yycrank+2643,	yysvec+8,	yyvstop+292,
yycrank+2702,	yysvec+8,	yyvstop+294,
yycrank+2728,	yysvec+8,	yyvstop+297,
yycrank+2754,	yysvec+8,	yyvstop+300,
yycrank+2780,	yysvec+8,	yyvstop+303,
yycrank+494,	0,		0,	
yycrank+0,	0,		yyvstop+306,
yycrank+2806,	yysvec+8,	yyvstop+308,
yycrank+2832,	yysvec+8,	yyvstop+311,
yycrank+2858,	yysvec+8,	yyvstop+314,
yycrank+627,	0,		0,	
yycrank+0,	0,		yyvstop+317,
yycrank+2884,	yysvec+8,	yyvstop+319,
yycrank+2910,	yysvec+8,	yyvstop+322,
yycrank+652,	0,		0,	
yycrank+0,	0,		yyvstop+325,
yycrank+2936,	yysvec+8,	yyvstop+327,
yycrank+2962,	yysvec+8,	yyvstop+330,
yycrank+2972,	yysvec+8,	yyvstop+333,
yycrank+145,	0,		0,	
yycrank+164,	0,		0,	
yycrank+176,	0,		0,	
yycrank+-2998,	0,		0,	
yycrank+-404,	yysvec+13,	yyvstop+335,
yycrank+2670,	yysvec+8,	yyvstop+337,
yycrank+3041,	yysvec+8,	yyvstop+339,
yycrank+164,	0,		0,	
yycrank+190,	yysvec+188,	0,	
yycrank+192,	yysvec+192,	yyvstop+341,
yycrank+3078,	yysvec+8,	yyvstop+343,
yycrank+659,	0,		0,	
yycrank+0,	0,		yyvstop+346,
yycrank+664,	0,		0,	
yycrank+0,	0,		yyvstop+348,
yycrank+688,	0,		0,	
yycrank+0,	0,		yyvstop+350,
yycrank+3104,	yysvec+8,	yyvstop+352,
yycrank+693,	0,		0,	
yycrank+0,	0,		yyvstop+355,
yycrank+3130,	yysvec+8,	yyvstop+357,
yycrank+3156,	yysvec+8,	yyvstop+360,
yycrank+754,	0,		0,	
yycrank+0,	0,		yyvstop+363,
yycrank+953,	0,		0,	
yycrank+0,	0,		yyvstop+365,
yycrank+954,	0,		0,	
yycrank+0,	0,		yyvstop+367,
yycrank+955,	0,		0,	
yycrank+0,	0,		yyvstop+369,
yycrank+956,	0,		0,	
yycrank+0,	0,		yyvstop+371,
yycrank+957,	0,		0,	
yycrank+0,	0,		yyvstop+373,
yycrank+958,	0,		0,	
yycrank+0,	0,		yyvstop+375,
yycrank+1033,	0,		0,	
yycrank+0,	0,		yyvstop+377,
yycrank+1036,	0,		0,	
yycrank+0,	0,		yyvstop+379,
yycrank+1037,	0,		0,	
yycrank+0,	0,		yyvstop+381,
yycrank+1128,	0,		0,	
yycrank+0,	0,		yyvstop+383,
yycrank+3182,	yysvec+8,	yyvstop+385,
yycrank+198,	0,		0,	
yycrank+201,	0,		0,	
yycrank+0,	0,		yyvstop+388,
yycrank+212,	yysvec+12,	yyvstop+390,
yycrank+0,	yysvec+56,	yyvstop+392,
yycrank+0,	yysvec+57,	yyvstop+394,
yycrank+0,	yysvec+58,	yyvstop+396,
yycrank+3192,	yysvec+8,	yyvstop+398,
yycrank+3202,	yysvec+8,	yyvstop+400,
yycrank+0,	0,		yyvstop+402,
yycrank+234,	yysvec+192,	0,	
yycrank+1129,	0,		0,	
yycrank+0,	0,		yyvstop+404,
yycrank+1269,	0,		0,	
yycrank+0,	0,		yyvstop+406,
yycrank+1271,	0,		0,	
yycrank+0,	0,		yyvstop+408,
yycrank+1272,	0,		0,	
yycrank+0,	0,		yyvstop+410,
yycrank+1273,	0,		0,	
yycrank+0,	0,		yyvstop+412,
yycrank+1502,	0,		0,	
yycrank+197,	0,		0,	
yycrank+2653,	yysvec+8,	yyvstop+414,
yycrank+3212,	yysvec+8,	yyvstop+416,
yycrank+189,	0,		0,	
yycrank+188,	0,		0,	
yycrank+3228,	yysvec+8,	yyvstop+418,
yycrank+3261,	yysvec+8,	yyvstop+420,
yycrank+273,	0,		0,	
yycrank+618,	0,		0,	
yycrank+3282,	yysvec+8,	yyvstop+422,
yycrank+3302,	yysvec+8,	yyvstop+424,
yycrank+276,	0,		0,	
yycrank+275,	0,		0,	
yycrank+3312,	yysvec+8,	yyvstop+426,
yycrank+3339,	yysvec+8,	yyvstop+428,
yycrank+272,	0,		0,	
yycrank+281,	0,		0,	
yycrank+3357,	yysvec+8,	yyvstop+430,
yycrank+3370,	yysvec+8,	yyvstop+432,
yycrank+264,	0,		0,	
yycrank+394,	0,		0,	
yycrank+3400,	yysvec+8,	yyvstop+434,
yycrank+3432,	yysvec+8,	yyvstop+436,
yycrank+401,	0,		0,	
yycrank+259,	0,		0,	
yycrank+3411,	yysvec+8,	yyvstop+438,
yycrank+285,	0,		0,	
yycrank+396,	0,		0,	
yycrank+3443,	yysvec+8,	yyvstop+440,
yycrank+0,	0,		yyvstop+442,
yycrank+422,	0,		0,	
yycrank+3458,	yysvec+8,	yyvstop+444,
yycrank+0,	0,		yyvstop+447,
0,	0,	0};
struct yywork *yytop = yycrank+3553;
struct yysvf *yybgin = yysvec+1;
char yymatch[] = {
  0,   1,   1,   1,   1,   1,   1,   1, 
  1,   9,  10,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
 32,   1,   1,   1,   1,   1,   1,  39, 
  1,   1,  42,  43,   1,  43,   1,   1, 
 48,  49,  49,  49,  49,  49,  49,  49, 
 49,  49,   1,   1,   1,   1,   1,   1, 
  1,  65,  66,  67,  68,  69,  70,  71, 
 72,  73,  74,  74,  76,  77,  78,  79, 
 80,  81,  82,  83,  84,  85,  86,  74, 
 88,  74,  74,   1,   1,   1,   1,   1, 
  1,  65,  66,  67,  68,  69,  70,  71, 
 72,  73,  74,  74,  76,  77,  78,  79, 
 80,  81,  82,  83,  84,  85,  86,  74, 
 88,  74,  74,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
  1,   1,   1,   1,   1,   1,   1,   1, 
0};
char yyextra[] = {
0,1,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,
0,0,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,
0,0,0,0,0,0,0,0,
0};
/*	Copyright (c) 1989 AT&T	*/
/*	  All Rights Reserved  	*/

/*	THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF AT&T	*/
/*	The copyright notice above does not evidence any   	*/
/*	actual or intended publication of such source code.	*/

#pragma ident	"@(#)ncform	6.12	97/12/08 SMI"

int yylineno =1;
# define YYU(x) x
# define NLSTATE yyprevious=YYNEWLINE
struct yysvf *yylstate [YYLMAX], **yylsp, **yyolsp;
char yysbuf[YYLMAX];
char *yysptr = yysbuf;
int *yyfnd;
extern struct yysvf *yyestate;
int yyprevious = YYNEWLINE;
#if defined(__cplusplus) || defined(__STDC__)
int yylook(void)
#else
yylook()
#endif
{
	register struct yysvf *yystate, **lsp;
	register struct yywork *yyt;
	struct yysvf *yyz;
	int yych, yyfirst;
	struct yywork *yyr;
# ifdef LEXDEBUG
	int debug;
# endif
	char *yylastch;
	/* start off machines */
# ifdef LEXDEBUG
	debug = 0;
# endif
	yyfirst=1;
	if (!yymorfg)
		yylastch = yytext;
	else {
		yymorfg=0;
		yylastch = yytext+yyleng;
		}
	for(;;){
		lsp = yylstate;
		yyestate = yystate = yybgin;
		if (yyprevious==YYNEWLINE) yystate++;
		for (;;){
# ifdef LEXDEBUG
			if(debug)fprintf(yyout,"state %d\n",yystate-yysvec-1);
# endif
			yyt = yystate->yystoff;
			if(yyt == yycrank && !yyfirst){  /* may not be any transitions */
				yyz = yystate->yyother;
				if(yyz == 0)break;
				if(yyz->yystoff == yycrank)break;
				}
#ifndef __cplusplus
			*yylastch++ = yych = input();
#else
			*yylastch++ = yych = lex_input();
#endif
#ifdef YYISARRAY
			if(yylastch > &yytext[YYLMAX]) {
				fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
				exit(1);
			}
#else
			if (yylastch >= &yytext[ yytextsz ]) {
				int	x = yylastch - yytext;

				yytextsz += YYTEXTSZINC;
				if (yytext == yy_tbuf) {
				    yytext = (char *) malloc(yytextsz);
				    memcpy(yytext, yy_tbuf, sizeof (yy_tbuf));
				}
				else
				    yytext = (char *) realloc(yytext, yytextsz);
				if (!yytext) {
				    fprintf(yyout,
					"Cannot realloc yytext\n");
				    exit(1);
				}
				yylastch = yytext + x;
			}
#endif
			yyfirst=0;
		tryagain:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"char ");
				allprint(yych);
				putchar('\n');
				}
# endif
			yyr = yyt;
			if ( (uintptr_t)yyt > (uintptr_t)yycrank){
				yyt = yyr + yych;
				if (yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
# ifdef YYOPTIM
			else if((uintptr_t)yyt < (uintptr_t)yycrank) {	/* r < yycrank */
				yyt = yyr = yycrank+(yycrank-yyt);
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"compressed state\n");
# endif
				yyt = yyt + yych;
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transitions */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				yyt = yyr + YYU(yymatch[yych]);
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"try fall back character ");
					allprint(YYU(yymatch[yych]));
					putchar('\n');
					}
# endif
				if(yyt <= yytop && yyt->verify+yysvec == yystate){
					if(yyt->advance+yysvec == YYLERR)	/* error transition */
						{unput(*--yylastch);break;}
					*lsp++ = yystate = yyt->advance+yysvec;
					if(lsp > &yylstate[YYLMAX]) {
						fprintf(yyout,"Input string too long, limit %d\n",YYLMAX);
						exit(1);
					}
					goto contin;
					}
				}
			if ((yystate = yystate->yyother) && (yyt= yystate->yystoff) != yycrank){
# ifdef LEXDEBUG
				if(debug)fprintf(yyout,"fall back to state %d\n",yystate-yysvec-1);
# endif
				goto tryagain;
				}
# endif
			else
				{unput(*--yylastch);break;}
		contin:
# ifdef LEXDEBUG
			if(debug){
				fprintf(yyout,"state %d char ",yystate-yysvec-1);
				allprint(yych);
				putchar('\n');
				}
# endif
			;
			}
# ifdef LEXDEBUG
		if(debug){
			fprintf(yyout,"stopped at %d with ",*(lsp-1)-yysvec-1);
			allprint(yych);
			putchar('\n');
			}
# endif
		while (lsp-- > yylstate){
			*yylastch-- = 0;
			if (*lsp != 0 && (yyfnd= (*lsp)->yystops) && *yyfnd > 0){
				yyolsp = lsp;
				if(yyextra[*yyfnd]){		/* must backup */
					while(yyback((*lsp)->yystops,-*yyfnd) != 1 && lsp > yylstate){
						lsp--;
						unput(*yylastch--);
						}
					}
				yyprevious = YYU(*yylastch);
				yylsp = lsp;
				yyleng = yylastch-yytext+1;
				yytext[yyleng] = 0;
# ifdef LEXDEBUG
				if(debug){
					fprintf(yyout,"\nmatch ");
					sprint(yytext);
					fprintf(yyout," action %d\n",*yyfnd);
					}
# endif
				return(*yyfnd++);
				}
			unput(*yylastch);
			}
		if (yytext[0] == 0  /* && feof(yyin) */)
			{
			yysptr=yysbuf;
			return(0);
			}
#ifndef __cplusplus
		yyprevious = yytext[0] = input();
		if (yyprevious>0)
			output(yyprevious);
#else
		yyprevious = yytext[0] = lex_input();
		if (yyprevious>0)
			lex_output(yyprevious);
#endif
		yylastch=yytext;
# ifdef LEXDEBUG
		if(debug)putchar('\n');
# endif
		}
	}
#if defined(__cplusplus) || defined(__STDC__)
int yyback(int *p, int m)
#else
yyback(p, m)
	int *p;
#endif
{
	if (p==0) return(0);
	while (*p) {
		if (*p++ == m)
			return(1);
	}
	return(0);
}
	/* the following are only used in the lex library */
#if defined(__cplusplus) || defined(__STDC__)
int yyinput(void)
#else
yyinput()
#endif
{
#ifndef __cplusplus
	return(input());
#else
	return(lex_input());
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyoutput(int c)
#else
yyoutput(c)
  int c; 
#endif
{
#ifndef __cplusplus
	output(c);
#else
	lex_output(c);
#endif
	}
#if defined(__cplusplus) || defined(__STDC__)
void yyunput(int c)
#else
yyunput(c)
   int c; 
#endif
{
	unput(c);
	}
